ReferenceRest

Create agent email account authorization URL

Starts Gmail OAuth for an agent and returns a Google authorization URL.

POST
/api/v1/agents/{agentHandle}/email-accounts

Starts Gmail OAuth for an agent and returns a Google authorization URL.

Authorization

AuthorizationBearer <token>

Use Authorization: Bearer <salestouch_api_key>.

In: header

Path Parameters

agentHandle*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://www.salestouch.io/api/v1/agents/string/email-accounts" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "authorizationUrl": "http://example.com"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}